Bug report #22113

AttributeError: module 'sys' has no attribute 'exc_type'

Added by Gustavo Melquiades 6 months ago.

Status:Open
Priority:Normal
Assignee:-
Category:Python plugins
Affected QGIS version:3.6.2 Regression?:No
Operating System:Windows 10 Easy fix?:No
Pull Request or Patch supplied:No Resolution:
Crashes QGIS or corrupts data:No Copied to github as #:29926

Description

ao seguir o caminho a baixo encontramos o erro também descrito a baixo.

Os testes foram feitos em duas máquinas diferentes, ambas Windows 10 e com dois usuários diferentes (um deles sendo administrador), porém o erro continua.

Teste feito com diferentes versões.

Caminho até o erro.

no qgis clicar em "complemento" no menu
depois clicar em "gerenciar e instalar complemento"
procurar na barra de busca "quick"
Selecionar e instalar "QuickMapServices"
ir em "web" no menu
ir em "settings"
ir em "more services"
clicar em "get contributed pack"
__________________________________________________________________________

Erro no QGIS-OSGeo4W-3.4.6-2-Setup-x86_64

Um erro ocorreu enquanto executava o código Python:
AttributeError: module 'sys' has no attribute 'exc_type'
Traceback (most recent call last):
File "D:/Usuarios/edson.campos/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\settings_dialog.py", line 127, in get_contrib
ExtraSources().load_contrib_pack()
File "D:/Usuarios/edson.campos/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\extra_sources.py", line 87, in load_contrib_pack
self._download_file(CONTRIBUTE_ZIP_DIRECT_URL, zip_file_path)
File "D:/Usuarios/edson.campos/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\extra_sources.py", line 116, in download_file
reply = self.
_sync_request(url)
File "D:/Usuarios/edson.campos/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\extra_sources.py", line 145, in __sync_request
raise Exception(error)
Exception: 403

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:/Usuarios/edson.campos/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\settings_dialog.py", line 135, in get_contrib
error_message = self.tr('Error on getting contrib pack: %s %s') % (sys.exc_type, sys.exc_value)
AttributeError: module 'sys' has no attribute 'exc_type'

Versão do Python: 3.7.0 (v3.7.0:1bf9cc5093, Jun 27 2018, 04:59:51) [MSC v.1914 64 bit (AMD64)]
Versão do QGIS: 3.4.6-Madeira Madeira, cc0e375a9f
Caminho do Python:
· C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python
· D:/Usuarios/edson.campos/AppData/Roaming/QGIS/QGIS3\profiles\default/python
· D:/Usuarios/edson.campos/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins
· C:/PROGRA~1/QGIS3~1.4/apps/qgis-ltr/./python/plugins
C:\Program Files\QGIS 3.4\bin\python37.zip
__________________________________________________________________________

Erro no QGIS-OSGeo4W-2.18.24-1-Setup-x86_64.exe

(imagem em anexo)


Erro no QGIS-OSGeo4W-2.18.3-1-Setup-x86_64

(imagem em anexo)


Erro no QGIS-OSGeo4W-3.2.3-1-Setup-x86_64

Um erro ocorreu enquanto executava o código Python:
AttributeError: module 'sys' has no attribute 'exc_type'

Traceback (most recent call last):
File "D:/Usuarios/gustavo.melquiades/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\settings_dialog.py", line 127, in get_contrib
ExtraSources().load_contrib_pack()
File "D:/Usuarios/gustavo.melquiades/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\extra_sources.py", line 87, in load_contrib_pack
self._download_file(CONTRIBUTE_ZIP_DIRECT_URL, zip_file_path)
File "D:/Usuarios/gustavo.melquiades/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\extra_sources.py", line 116, in download_file
reply = self.
_sync_request(url)
File "D:/Usuarios/gustavo.melquiades/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\extra_sources.py", line 145, in __sync_request
raise Exception(error)
Exception: 403

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "D:/Usuarios/gustavo.melquiades/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins\quick_map_services\settings_dialog.py", line 135, in get_contrib
error_message = self.tr('Error on getting contrib pack: %s %s') % (sys.exc_type, sys.exc_value)
AttributeError: module 'sys' has no attribute 'exc_type'

Versão do Python: 3.6.0 (v3.6.0:41df79263a11, Dec 23 2016, 08:06:12) [MSC v.1900 64 bit (AMD64)]
Versão do QGIS: 3.2.3-Bonn Bonn, 9b176802e5

Caminho do Python:

C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python
D:/Usuarios/gustavo.melquiades/AppData/Roaming/QGIS/QGIS3\profiles\default/python
D:/Usuarios/gustavo.melquiades/AppData/Roaming/QGIS/QGIS3\profiles\default/python/plugins
C:/PROGRA~1/QGIS3~1.2/apps/qgis/./python/plugins
C:\Program Files\QGIS 3.2\bin\python36.zip
C:\PROGRA~1\QGIS3~1.2\apps\Python36\DLLs
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib
C:\Program Files\QGIS 3.2\bin
C:\PROGRA~1\QGIS3~1.2\apps\Python36
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\win32\lib
C:\PROGRA~1\QGIS3~1.2\apps\Python36\lib\site-packages\Pythonwin
D:/Usuarios/gustavo.melquiades/AppData/Roaming/QGIS/QGIS3\profiles\default/python

QGIS-OSGeo4W-2.18.3-1-Setup-x86_64.png (12.9 KB) Gustavo Melquiades, 2019-05-21 01:04 PM

QGIS-OSGeo4W-2.18.24-1-Setup-x86_64.png (12.5 KB) Gustavo Melquiades, 2019-05-21 01:04 PM

Also available in: Atom PDF